function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import Base from 'react-icon-base';
import classnames from 'classnames';
import IconsMap from './mapping/iconsMap';

var BaseIcon = function BaseIcon(props) {
  var iconName = props.iconName,
      className = props.className,
      other = __rest(props, ["iconName", "className"]);

  var classNames = classnames(_defineProperty({
    'cuk2-icon': true
  }, className || '', className || ''));
  return /*#__PURE__*/React.createElement(Base // @ts-ignore
  , _extends({
    viewBox: IconsMap[iconName].viewBox,
    className: "cuk2-icon-".concat(iconName.toLowerCase(), " ").concat(classNames)
  }, other), IconsMap[iconName].svg);
};

export default BaseIcon;